VERSION 5.00
Begin VB.Form frmInfrared 
   AutoRedraw      =   -1  'True
   Caption         =   "Infrared Detect"
   ClientHeight    =   4680
   ClientLeft      =   4500
   ClientTop       =   4455
   ClientWidth     =   5745
   DrawStyle       =   6  'Inside Solid
   FillStyle       =   2  'Horizontal Line
   ForeColor       =   &H00004000&
   Icon            =   "Form1.frx":0000
   LinkTopic       =   "Form1"
   ScaleHeight     =   4680
   ScaleWidth      =   5745
   Begin VB.CommandButton cmdStartRobot 
      BackColor       =   &H80000009&
      Caption         =   "Click To Move Arm"
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   8.25
         Charset         =   0
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   975
      Left            =   3240
      MaskColor       =   &H00FFFFFF&
      Style           =   1  'Graphical
      TabIndex        =   4
      Top             =   720
      Width           =   1455
   End
   Begin VB.Timer Timer2 
      Interval        =   500
      Left            =   5040
      Top             =   720
   End
   Begin VB.Timer Timer1 
      Interval        =   1000
      Left            =   5040
      Top             =   1440
   End
   Begin VB.Label lblTimeInterupt1 
      Alignment       =   2  'Center
      AutoSize        =   -1  'True
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   8.25
         Charset         =   0
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      ForeColor       =   &H000000FF&
      Height          =   195
      Left            =   3840
      TabIndex        =   3
      Top             =   3600
      Visible         =   0   'False
      Width           =   105
   End
   Begin VB.Label lblTimeInterupt0 
      Alignment       =   2  'Center
      AutoSize        =   -1  'True
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   8.25
         Charset         =   0
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      ForeColor       =   &H000000FF&
      Height          =   195
      Left            =   3840
      TabIndex        =   2
      Top             =   3840
      Visible         =   0   'False
      Width           =   105
   End
   Begin VB.Label lblTime 
      Alignment       =   1  'Right Justify
      AutoSize        =   -1  'True
      BackStyle       =   0  'Transparent
      BeginProperty Font 
         Name            =   "Arial Black"
         Size            =   9.75
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      ForeColor       =   &H00404040&
      Height          =   270
      Left            =   5160
      MouseIcon       =   "Form1.frx":0E42
      TabIndex        =   1
      Top             =   120
      Width           =   105
   End
   Begin VB.Label lblStatus 
      Alignment       =   2  'Center
      AutoSize        =   -1  'True
      BackColor       =   &H0000FFFF&
      Caption         =   "Beam Status?"
      DragMode        =   1  'Automatic
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   13.5
         Charset         =   0
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      ForeColor       =   &H8000000D&
      Height          =   360
      Left            =   2760
      TabIndex        =   0
      ToolTipText     =   "Beam Status"
      Top             =   3120
      Width           =   2565
      WordWrap        =   -1  'True
   End
   Begin VB.Menu Exit 
      Caption         =   "&Exit"
      Index           =   0
   End
End
Attribute VB_Name = "frmInfrared"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit
Const Data = &H378, PortRead = &H379, Sync = &H37A 'Printer port LPT1 addresses
Public AbortFlag As Boolean
Public blnProcessing As Boolean
Public Pin10 As Integer
' For accessing the robot:
Dim Robot As New CRSRobot
' For file transfer / remote execution:
Dim Controller As New CRSRemote
' From the v3 (teachables) file:
Dim locA As CRSLocation, locB As CRSLocation, locSafe As CRSLocation
Dim AppDepDist As Single        ' approach / depart distance
Dim TheSpeed As Long            ' robot speed
Dim GForce As Long              ' gripper force
Public d As Data
Public Current As Date
Public I As Integer
Public counter1 As Integer
Public counter As Integer

Public Sub Form_Load()

LoadV3Variables
MyRead
Timer2.Enabled = True

Do While AbortFlag = 1
    DoEvents
Loop

Do While blnProcessing = True
    Move_Robot (a)
    ''''
    Move_Robot (b)
    ''''
    DoEvents
End

Funtion Move_Robot(Point)
    If Point = a Then
        ''''
    If Point = b Then
        '''
End Sub

While AbortFlag = 1
    DoEvents
Call ActiveRobot '.....move robot to point
While ActiveRobot  '....command still incomplete right?
    If AbortFlag = 1 Then
        RobotObject.Abort
        DoEvents
    End If
End

End Sub

Sub LoadV3Variables()
    Dim V3 As New CRSV3File
    V3.Open "test.v3", v3fCreate
    
    On Error Resume Next        ' allow the creates to fail if the vars exist
    V3.Create "a", v3tWorldLocation
    V3.Create "b", v3tWorldLocation
    V3.Create "safe", v3tWorldLocation
    V3.Create "appdepdist", v3tFloat
    V3.Create "thespeed", v3tLong
    V3.Create "gforce", v3tLong
    On Error GoTo 0             ' cancel the on error
   
    Set locA = V3.Location("a")
    Set locB = V3.Location("b")
    Set locSafe = V3.Location("safe")
    AppDepDist = V3.Value("appdepdist")
    TheSpeed = V3.Value("thespeed")
    GForce = V3.Value("gforce")
    
    V3.Close                    ' close the file
    Set V3 = Nothing
End Sub

Private Sub MyRead()
Timer1.Enabled = True
Pin10 = Inp(PortRead) And 64  ' pin #10
    If Pin10 = 64 Then
        AbortFlag = 0
        AbortFlag = False
        ''''RobotObject.ClearAbort
        'do whatever if pin10 is high
        lblStatus.ForeColor = (&H8000000D)
        lblStatus.Caption = "Beam Active"
        lblStatus.ToolTipText = " The Status of the Infrared Beam"
        Print "pin10 is high, No beam Interuption"
    Else
        'do whatever if pin10 is low
        AbortFlag = 1
        AbortFlag = True
        RobotObject.Abort
        lblStatus.ForeColor = (&H80000012)
        lblStatus.Caption = "Beam Inactive"
        lblTimeInterupt0.Visible = True
        lblTimeInterupt1.Visible = True
        lblTimeInterupt0.Caption = "Beam last interupted at:" & CStr(Time)
        lblTimeInterupt1.Caption = CStr(Date)
        Print "Beam Interupted"
    End If

End Sub

Private Sub cmdStartRobot_Click()
    If blnProcessing Then
        blnProcessing = False
    Else
        cmdStartRobot.Caption = "Cancel Movement"
        lnProcessing = True
    End If
End Sub

Private Sub Timer1_Timer()
MyRead
End Sub

Private Sub Timer2_Timer()
'Display Date & Time
lblTime.Caption = (Now)
    Do While AbortFlag = True
        DoEvents
    Loop
'Stop Displaying if Beam interupted
End Sub

Private Sub Exit_Click(Index As Integer)
Robot.ControlRelease
Unload Me
End Sub
